Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxMbufPool Struct Reference [IXP425 OS Memory Buffer Pool Management (IxOsBuffPoolMgt) API] Implementation of buffer pool structure for use with non-VxWorks OS. More...
## Data Fields
IX_MBUF * | nextFreeBuf
| Pointer to the next free mbuf.
void * | mbufMemPtr
| Pointer to the mbuf memory area.
void * | dataMemPtr
| Pointer to the data memory area.
int | bufDataSize
| The size of the data portion of each mbuf.
int | totalBufsInPool
| Total number of mbufs in the pool.
int | freeBufsInPool
| Number of free mbufs currently in the pool.
int | mbufMemSize
| The size of the pool mbuf memory area.
int | dataMemSize
| The size of the pool data memory area.
char | name [IX_MBUF_POOL_NAME_LEN+1]
| Descriptive name for pool.
IxMbufPoolAllocationType | poolAllocType
## Detailed Description Implementation of buffer pool structure for use with non-VxWorks OS. Definition at line 268 of file IxOsBuffPoolMgt.h. ## Field Documentation
int IxMbufPool::bufDataSize
| The size of the data portion of each mbuf. Definition at line 273 of file IxOsBuffPoolMgt.h.
void* IxMbufPool::dataMemPtr
| Pointer to the data memory area. Definition at line 272 of file IxOsBuffPoolMgt.h.
int IxMbufPool::dataMemSize
| The size of the pool data memory area. Definition at line 277 of file IxOsBuffPoolMgt.h.
int IxMbufPool::freeBufsInPool
| Number of free mbufs currently in the pool. Definition at line 275 of file IxOsBuffPoolMgt.h.
void* IxMbufPool::mbufMemPtr
| Pointer to the mbuf memory area. Definition at line 271 of file IxOsBuffPoolMgt.h.
int IxMbufPool::mbufMemSize
| The size of the pool mbuf memory area. Definition at line 276 of file IxOsBuffPoolMgt.h.
char IxMbufPool::name[IX_MBUF_POOL_NAME_LEN + 1]
| Descriptive name for pool. Definition at line 278 of file IxOsBuffPoolMgt.h.
IX_MBUF* IxMbufPool::nextFreeBuf
| Pointer to the next free mbuf. Definition at line 270 of file IxOsBuffPoolMgt.h.
int IxMbufPool::totalBufsInPool
| Total number of mbufs in the pool. Definition at line 274 of file IxOsBuffPoolMgt.h.
The documentation for this struct was generated from the following file: IxOsBuffPoolMgt.h
Automatically generated from sources. © Intel Corp. 2003